/*
 * Created by SharpDevelop.
 * User: Songwut Khamsuk
 * Date: 15/6/2552
 * Time: 13:10
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using ICSharpCode.SharpDevelop.Internal.Templates;
using ICSharpCode.SharpDevelop.Project;

namespace DreamShieldBinding
{
	/// <summary>
	/// Description of DreamShieldLanguageBinding.
	/// </summary>
	public class DreamShieldLanguageBinding : ILanguageBinding
	{
		public const string LanguageName = "DreamShield";
		
		public string Language {
			get {
				return LanguageName;
			}
		}
		
		public IProject LoadProject(IMSBuildEngineProvider provider, string fileName, string projectName)
		{
			return new DreamShieldProject(provider, fileName, projectName);
		}
		
		public IProject CreateProject(ProjectCreateInformation info)
		{
			return new DreamShieldProject(info);
		}		
	}
}
