/*
 * Created by SharpDevelop.
 * User: Songwut Khamsuk
 * Date: 26/6/2552
 * Time: 18:23
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using ICSharpCode.SharpDevelop.Project;
using System;

namespace DreamShieldBinding
{
	/// <summary>
	/// Description of DreamShieldProjectNodeBuilder.
	/// </summary>
	public class DreamShieldProjectNodeBuilder : IProjectNodeBuilder
	{
		public DreamShieldProjectNodeBuilder()
		{
		}
		
		public bool CanBuildProjectTree(IProject project)
		{
			return project is DreamShieldProject;
		}
		
		public System.Windows.Forms.TreeNode AddProjectNode(System.Windows.Forms.TreeNode motherNode, IProject project)
		{
			ProjectNode projectNode = new ProjectNode(project);
			projectNode.AddTo(motherNode);
			
			return projectNode;
		}
	}
}
