﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace DreamShieldPublishRetriever
{
    [Serializable]
    [XmlRoot("DreamShield.Application")]
    public class ProductXml
    {
        static XmlSerializer serializer = new XmlSerializer(typeof(ProductXml));

        public static XmlSerializer GetSerializer()
        {
            return serializer;
        }

        [XmlAttribute("name")]
        public virtual string Name { get; set; }

        [XmlAttribute("guid")]
        public virtual Guid Guid { get; set; }

        [XmlAttribute("serverXml")]
        public virtual string ServerXml { get; set; }

        public virtual ProductXml_UI UI { get; set; }
    }

    [Serializable]
    public class ProductXml_UI
    {
        [XmlAttribute("productName")]
        public virtual string ProductName { get; set; }

        [XmlAttribute("productUrl")]
        public virtual string ProductUrl { get; set; }

        [XmlAttribute("productImage")]
        public virtual string ProductImage { get; set; }
    }
}
