﻿using System;
using System.Collections;
using System.Collections.Generic;
using DreamShield.Deployment.Installers.DreamWorker.PluginsInterfaces;

namespace DreamShield.Deployment.Miles.CustomWizard
{
    /// <summary>
    /// Interfaces des plugins Miles par défaut
    /// </summary>
    public interface IMilesWizardPlugin : IDreamShield_Plugin
    {
        void Load(MilesWizardProviderBase providerBase);

        void WizardWorkerExecute_Begin(DreamShield.Deployment.Assistants.DreamWizard.DreamWizardEngine engine, DreamShield.Deployment.Installers.DreamWorker.WorkerActionId actionId, DreamShield.Deployment.Assistants.DreamWizard.IDreamWizardWorker worker);

        void WizardWorkerExecute_End(DreamShield.Deployment.Assistants.DreamWizard.DreamWizardEngine engine, DreamShield.Deployment.Installers.DreamWorker.WorkerActionId actionId, DreamShield.Deployment.Assistants.DreamWizard.IDreamWizardWorker worker);

        void BaseWizardWorkerExecute_ThreadBegin(DreamShield.Deployment.Assistants.DreamWizard.DreamWizardEngine engine, DreamShield.Deployment.Installers.DreamWorker.WorkerActionId actionId, DreamShield.Deployment.Assistants.DreamWizard.IDreamWizardWorker worker);

        void BaseWizardWorkerExecute_ThreadEnd(DreamShield.Deployment.Assistants.DreamWizard.DreamWizardEngine engine, DreamShield.Deployment.Installers.DreamWorker.WorkerActionId actionId, DreamShield.Deployment.Assistants.DreamWizard.IDreamWizardWorker worker);
    }
}
